#ifndef TLSSERVER_H
#define TLSSERVER_H

#include "mbed.h"
#include "cyassl/ssl.h"
#include "TLSConnection.h"

class TLSServer : public Socket
{
    public :
        
        TLSServer();
        ~TLSServer();
        
        bool init();
          
        bool accept(TLSConnection &con);
        
        
    private :
    
        CYASSL_CTX *_ssl_ctx;
};

#endif
